Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.principal
Class WLSGroupImpl

    java.lang.Object
      weblogic.security.principal.WLSAbstractPrincipal
          weblogic.security.principal.WLSGroupImpl

All Implemented Interfaces:
  Serializable, Principal, WLSPrincipal, WLSGroup

    public final class WLSGroupImpl

extends WLSAbstractPrincipal
implements WLSGroup

The `WLSGroupImpl` class is a convenience class that implements a `WLSGroup` principal whose name field will be signed by the `PrincipalValidatorImpl` class. To use this class, you should make the `PrincipalValidatorImpl` class the runtime class for your Principal Validation provider, or extend that class and make the extended class your Principal Validation provider.

Note: Use of this class is not required by WebLogic Server. It is simply a convenience class.

See Also:
  Serialized Form

Constructor Summary
`WLSGroupImpl(String groupName)` Constructs a principal that represents a WebLogic Server group.

Method Summary

Methods inherited from class weblogic.security.principal.WLSAbstractPrincipal
`equals, getName, getSalt, getSignature, getSignedData, hashCode, setName, setSalt, setSignature, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Constructor Detail

### WLSGroupImpl

    public WLSGroupImpl(String groupName)

  Constructs a principal that represents a WebLogic Server group.

  Parameters:
    `groupName` - the name of the group, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD